package controller;

import view.View;
import model.Bank;

/**
 * Controller der Banksimulation
 * @author Martin
 *
 */
public class Controller {

	private Bank bank;
	private View view;
	
	/**
	 * Konstruktor des Controllers
	 */
	public Controller(){
		// Erstellt neue Instanz einer Bank und einer GUI
		bank = new Bank("Testbank", 12345);
		view = new View();
		
		// fuegt der Bank die GUI als Observer hinzu
		bank.addObserver(view);
	}
	
}
