package model;
/**
 * Das ist ein Sparkonto
 * @author Martin
 *
 */
public class Sparkonto extends Konto {

	private double zinssatz;
	
	public Sparkonto(int kontonr, Kunde besitzer, Bank bank, double zinssatz) {
		super(kontonr, besitzer, bank);
		this.zinssatz = zinssatz;
	}

	public double getZinssatz() {
		return zinssatz;
	}

	public void setZinssatz(double zinssatz) {
		this.zinssatz = zinssatz;
	}
	
	/**
	 * gibt den aktuellen Zinssatz aus
	 * @return
	 */
	public double getAktuelleZinsen(){
		return getKontostand()*zinssatz;
	}

	@Override
	public void auszahlen(double betrag){
		if(getKontostand() > betrag){
			super.auszahlen(betrag);
		}else{
			System.out.println("Konto nicht gedeckt");
		}
	}

}
